Bug 123896 - Laptop issues with booting docked vs undocked.
Laptop issues with booting docked vs undocked.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-21 10:02 EDT by Matt Wagenknecht
Modified: 2014-03-16 22:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-24 08:41:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Wagenknecht 2004-05-21 10:02:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040124

Description of problem:
I have a Dell C840 that I use in both docked and undocked mode. This
worked fine with FC1. The hardware differences for the docking station
are an additional network card (3C905-TX), an Adaptec SCSI card, and a
USB HUB..  The upgrade to FC2 was done while docked. The system boot
beautifully while docked.. When undocked and booting init5, it hangs
when "Checking for Hardware changes". The only way I can get the
system to boot undocked is to comment out the USB hub and the docking
station network card in /etc/modprobe.conf and remove kudzu from
/etc/init.d and then boot init3. Even booting init5 with the lines
commented out, the system hangs. Once logged in I can startx with no
problems..

by "the system hangs", i mean that the boot-up sequence stops. I can
at anytime hit CTRL-ALT-DEL and the system will shutdown and reboot..
sometimes it does hang when it cleans up swap space while shutting
down and i have to hit the power button..

remember, while docked, there are no issues with start up or shutdown..

Let me know when more information you need.. 


Version-Release number of selected component (if applicable):
kudzu-1.1.62-1

How reproducible:
Always

Steps to Reproduce:
1.boot undocked..
2. step mentioned above..
3.
    

Additional info:
Comment 1 Matt Wagenknecht 2004-05-24 08:42:26 EDT
update:
rebuilt laptop starting with minimum hardware first.. docked later,
recognized new hw.. working as before..  sorry for the confusion..

Note You need to log in before you can comment on or make changes to this bug.